Select Rhino objects by guid


select unnamed objects.gh (5.9 KB)

This script unselect all currently selected objects and then select all object with no name.

  private void RunScript(List<Guid> guids, bool Select, ref object A)
  {
    if(Select){
      this.RhinoDocument.Objects.UnselectAll();
      foreach(Guid guid in guids){
        if(this.RhinoDocument.Objects.FindId(guid).Attributes.Name == null){
          this.RhinoDocument.Objects.Select(guid, true, true, true);
        }
      }
    }
  }

Edit: it can be made to work with all kind of objects. This first solution work with [Geometry pipeline] so only with simple geometry objects (visible)…

2 Likes